Add candidates to schedule
PUT /api/v1/integrations/external/schedule/{scheduleExtId}/candidates
Adds existing candidates to an existing schedule, using their external IDs. To create new candidates and add them in one call, use Add candidates to existing schedule extended.
Header
| Name | Value | Description |
|---|---|---|
| Content-Type | application/json | For all requests |
| Authorization | EAPI {token} | For all requests |
Path parameters
Parameters marked * are mandatory
| Parameter | Type | Description |
|---|---|---|
| scheduleExtId* | string | External ID of the schedule |
Request body
Parameters marked * are mandatory
| Parameter | Type | Description |
|---|---|---|
| (array)* | array of strings | External IDs of the candidates to add |
Sample request
PUT https://api.cirrusplatform.com/api/v1/integrations/external/schedule/testschedule24/candidates
["candidate_ext_id1", "candidate_ext_id2"]
Sample successful response
{
"Content": {
"AddedCandidateExternalIds": ["candidate_ext_id2"],
"NotFoundUserExternalIds": [],
"AlreadyAddedCandidateExternalIds": ["candidate_ext_id1"]
},
"Success": true,
"Errors": null
}
| Field | Description |
|---|---|
| AddedCandidateExternalIds | Candidates added to the schedule |
| NotFoundUserExternalIds | IDs that do not match any user |
| AlreadyAddedCandidateExternalIds | Candidates already in the schedule |
Responses
| Code | Description |
|---|---|
| 200 | Successful operation |
| 400 | Possible errors: - Schedule not found by external ID - No external IDs provided - No users found by external IDs - Scheduler not set in External API settings - Selected scheduler no longer has permission to create, update and delete schedules |
| 403 | Not allowed to use external API |
| 500 | Internal server error |
